Generated from the live OpenAPI document — 2026-10-19.This group has no curated guide page.All routes require Authorization: Bearer atamaia_… and return ApiEnvelope<T>({ ok, requestId, data, error, errorCode, count, hint }); the schemas below show thedata payload. * marks required properties.
Operations
| Method | Path | Summary / body | Responses |
|---|---|---|---|
| GET | /api/agent/analytics | 200 AgentAnalytics | |
| GET | /api/agent/analytics/matrix | 200 AgentAnalyticsMatrixRow[] | |
| GET | /api/agent/analytics/timeseries | 200 AgentAnalyticsTimeseries | |
| GET | /api/agent/councils/{id} | 200 AgentCouncilDto | |
| GET | /api/agent/escalations | 200 PagedResultOfAgentEscalationDto | |
| POST | /api/agent/escalations/{id}/resolve | 200 AgentEscalationDto | |
| GET | /api/agent/role-definitions | 200 PagedResultOfAgentRoleDefinitionDto | |
| POST | /api/agent/role-definitions | 200 AgentRoleDefinitionDto | |
| DELETE | /api/agent/role-definitions/{id} | 200 | |
| GET | /api/agent/role-definitions/{id} | 200 AgentRoleDefinitionDto | |
| PATCH | /api/agent/role-definitions/{id} | 200 AgentRoleDefinitionDto | |
| GET | /api/agent/role-definitions/by-name/{name} | 200 AgentRoleDefinitionDto | |
| GET | /api/agent/routines | 200 PagedResultOfAgentRoutineDto | |
| POST | /api/agent/routines | 200 AgentRoutineDto | |
| DELETE | /api/agent/routines/{id} | 200 | |
| GET | /api/agent/routines/{id} | 200 AgentRoutineDetailDto | |
| PATCH | /api/agent/routines/{id} | 200 AgentRoutineDetailDto | |
| POST | /api/agent/routines/{id}/disable | 200 AgentRoutineDto | |
| POST | /api/agent/routines/{id}/enable | 200 EnableRoutineResult | |
| GET | /api/agent/routines/{id}/next-due | 200 | |
| POST | /api/agent/routines/{id}/run | 200 AgentRoutineRunDto | |
| GET | /api/agent/routines/{id}/runs | 200 PagedResultOfAgentRoutineRunDto | |
| GET | /api/agent/routines/{id}/runs/latest | 200 AgentRoutineRunDto | |
| GET | /api/agent/routines/{id}/triggers | 200 AgentRoutineTriggerDto[] | |
| POST | /api/agent/routines/{id}/triggers | 200 AgentRoutineTriggerDto | |
| DELETE | /api/agent/routines/{id}/triggers/{triggerId} | 200 | |
| GET | /api/agent/routines/cron-preview | 200 CronPreviewDto | |
| GET | /api/agent/runs | 200 PagedResultOfAgentRunDto | |
| POST | /api/agent/runs | 200 AgentRunDto | |
| DELETE | /api/agent/runs/{id} | 200 | |
| GET | /api/agent/runs/{id} | 200 AgentRunDetailDto | |
| PATCH | /api/agent/runs/{id} | 200 AgentRunDto | |
| POST | /api/agent/runs/{id}/cancel | 200 | |
| POST | /api/agent/runs/{id}/checkpoint | 200 | |
| GET | /api/agent/runs/{id}/children | 200 PagedResultOfAgentRunDto | |
| POST | /api/agent/runs/{id}/children | 200 AgentRunDto | |
| POST | /api/agent/runs/{id}/pause | 200 | |
| POST | /api/agent/runs/{id}/pool | 200 AgentRunDto | |
| POST | /api/agent/runs/{id}/restart | 200 AgentRunDto | |
| POST | /api/agent/runs/{id}/resume | 200 | |
| POST | /api/agent/runs/{id}/start | 200 AgentRunDto | |
| GET | /api/agent/runs/{runId}/councils | 200 PagedResultOfAgentCouncilDto | |
| POST | /api/agent/runs/{runId}/escalate | 200 AgentEscalationDto | |
| GET | /api/agent/runs/{runId}/events | 200 AgentEventDto[] | |
| GET | /api/agent/runs/{runId}/feedback | 200 PagedResultOfAgentFeedbackDto | |
| POST | /api/agent/runs/{runId}/feedback | 200 AgentFeedbackDto | |
| GET | /api/agent/runs/{runId}/files | 200 AgentRunFileInfo[] | |
| GET | /api/agent/runs/{runId}/files/content | 200 AgentRunFileContent | |
| GET | /api/agent/runs/{runId}/files/download | 200 | |
| GET | /api/agent/runs/{runId}/messages | 200 PagedResultOfMessageDto | |
| POST | /api/agent/runs/{runId}/messages | 200 MessageDto | |
| GET | /api/agent/runs/{runId}/notes | 200 PagedResultOfAgentRunNoteDto | |
| POST | /api/agent/runs/{runId}/notes | 200 AgentRunNoteDto | |
| POST | /api/agent/runs/{runId}/pause-chat | 200 ChatSessionDetailDto | |
| GET | /api/agent/runs/{runId}/review/deliverable | 200 DeliverableCheckDto | |
| GET | /api/agent/runs/{runId}/review/diff | 200 | |
| GET | /api/agent/runs/{runId}/sandbox/stream | 200 | |
| GET | /api/agent/runs/{runId}/tasks | 200 PagedResultOfAgentTaskDto | |
| POST | /api/agent/runs/{runId}/tasks | 200 AgentTaskDto | |
| PATCH | /api/agent/tasks/{id} | 200 AgentTaskDto | |
| GET | /api/agent/tool-profiles | 200 PagedResultOfAgentToolProfileDto | |
| POST | /api/agent/tool-profiles | 200 AgentToolProfileDto | |
| PUT | /api/agent/tool-profiles/{id} | 200 AgentToolProfileDto | |
| GET | /api/agent/tool-profiles/{role} | 200 AgentToolProfileDto | |
| GET | /api/agent/tools | 200 AgentToolInfo[] |
Schemas
Request and response shapes referenced by the operations above. Nested types named here are also defined under their own group or inthe group index.
AgentAnalytics
| Property | Type | Description |
|---|---|---|
| modelId | null,string | |
| role | null,string | |
| totalRuns | int32 | |
| completedRuns | int32 | |
| failedRuns | int32 | |
| successRate | double | |
| avgIterations | double | |
| avgTokensUsed | double | |
| totalCostUsd | double | |
| avgDurationMs | double | |
| avgFeedbackScore | double |
AgentAnalyticsTimeseries
| Property | Type | Description |
|---|---|---|
| points | AgentAnalyticsSeriesPoint[] |
AgentCouncilDto
| Property | Type | Description |
|---|---|---|
| id | int64 | |
| guid | uuid | |
| runId | int64 | |
| chatSessionId | int64 | |
| question | string | |
| rounds | int32 | |
| consensusJson | null,string | |
| participantsJson | null,string | |
| status | CouncilStatus | |
| completedAtUtc | date-time | |
| createdAtUtc | date-time |
AgentEscalationDto
| Property | Type | Description |
|---|---|---|
| id | int64 | |
| guid | uuid | |
| runId | int64 | |
| taskId | int64 | |
| situation | string | |
| optionsJson | null,string | |
| supervisorRecommendation | null,string | |
| confidence | double | |
| kind | null,string | |
| urgencyId | null | EscalationUrgency | |
| status | EscalationStatus | |
| resolutionMode | null | ResolutionMode | |
| decision | null,string | |
| decidedBy | null,string | |
| decisionNotes | null,string | |
| chatSessionId | int64 | |
| approvalThreadId | int64 | |
| revisionRoundsUsed | int32 | |
| maxRevisionRounds | int32 | |
| timeoutAtUtc | date-time | |
| resolvedAtUtc | date-time | |
| notificationState | EscalationNotificationState | |
| notificationDetail | null,string | |
| createdAtUtc | date-time |
AgentFeedbackDto
| Property | Type | Description |
|---|---|---|
| id | int64 | |
| runId | int64 | |
| rating | FeedbackRating | |
| notes | null,string | |
| ratedBy | null,string | |
| createdAtUtc | date-time |
AgentRoleDefinitionDto
| Property | Type | Description |
|---|---|---|
| id | int64 | |
| guid | uuid | |
| name | string | |
| displayName | string | |
| description | null,string | |
| icon | null,string | |
| systemPromptTemplate | string | |
| defaultMaxIterations | int32 | |
| defaultMaxTokens | int32 | |
| defaultMaxWallClockMs | int32 | |
| defaultPoolIterationBudget | int32 | |
| defaultPoolTokenBudget | int32 | |
| hardIterationCap | int32 | |
| contextBudgetTokens | int32 | |
| routeSummary | null,string | |
| temperature | float | |
| fallbackModelId | null,string | |
| isSystem | boolean | |
| enabled | boolean | |
| sortOrder | int32 | |
| createdAtUtc | date-time |
AgentRoutineDetailDto
| Property | Type | Description |
|---|---|---|
| briefMarkdown | string | |
| thresholdMarkdown | null,string | |
| id | int64 | |
| guid | uuid | |
| name | string | |
| description | null,string | |
| identityId | int64 | |
| identityName | null,string | |
| roleDefinitionId | int64 | |
| roleName | null,string | |
| toolProfileName | null,string | |
| projectId | int64 | |
| taskId | int64 | |
| briefVersion | int32 | |
| scheduleKindId | null | RoutineScheduleKind | |
| cronExpression | null,string | |
| intervalMinutes | int32 | |
| runOnceAtUtc | date-time | |
| timezoneId | string | |
| quietHoursJson | null,string | |
| nextDueAtUtc | date-time | |
| lastRunAtUtc | date-time | |
| lastOutcomeId | null | RoutineRunOutcome | |
| lastRunStatusId | null | AgentRunStatus | |
| maxRunsPerDay | int32 | |
| maxConcurrentRuns | int32 | |
| missedRunPolicyId | RoutineMissedRunPolicy | |
| pauseOnRepeatedAuthFailure | boolean | |
| poolTokenBudgetOverride | int32 | |
| isEnabled | boolean | |
| watchExpiryUtc | date-time | |
| reportPolicyId | RoutineReportPolicy | |
| pausedAtUtc | date-time | |
| pausedReason | null,string | |
| createdAtUtc | date-time | |
| updatedAtUtc | date-time |
AgentRoutineDto
| Property | Type | Description |
|---|---|---|
| id | int64 | |
| guid | uuid | |
| name | string | |
| description | null,string | |
| identityId | int64 | |
| identityName | null,string | |
| roleDefinitionId | int64 | |
| roleName | null,string | |
| toolProfileName | null,string | |
| projectId | int64 | |
| taskId | int64 | |
| briefVersion | int32 | |
| scheduleKindId | null | RoutineScheduleKind | |
| cronExpression | null,string | |
| intervalMinutes | int32 | |
| runOnceAtUtc | date-time | |
| timezoneId | string | |
| quietHoursJson | null,string | |
| nextDueAtUtc | date-time | |
| lastRunAtUtc | date-time | |
| lastOutcomeId | null | RoutineRunOutcome | |
| lastRunStatusId | null | AgentRunStatus | |
| maxRunsPerDay | int32 | |
| maxConcurrentRuns | int32 | |
| missedRunPolicyId | RoutineMissedRunPolicy | |
| pauseOnRepeatedAuthFailure | boolean | |
| poolTokenBudgetOverride | int32 | |
| isEnabled | boolean | |
| watchExpiryUtc | date-time | |
| reportPolicyId | RoutineReportPolicy | |
| pausedAtUtc | date-time | |
| pausedReason | null,string | |
| createdAtUtc | date-time | |
| updatedAtUtc | date-time |
AgentRoutineRunDto
| Property | Type | Description |
|---|---|---|
| id | int64 | |
| routineId | int64 | |
| agentRunId | int64 | |
| triggerSourceId | RoutineRunTriggerSource | |
| outcomeId | RoutineRunOutcome | |
| dueAtUtc | date-time | |
| triggerDetailJson | null,string | |
| createdAtUtc | date-time | |
| runStatusId | null | AgentRunStatus | |
| runSummary | null,string | |
| runCompletedAtUtc | date-time |
AgentRoutineTriggerDto
| Property | Type | Description |
|---|---|---|
| id | int64 | |
| routineId | int64 | |
| eventPattern | string | |
| filterJson | null,string | |
| minSecondsBetweenWakes | int32 | |
| createdAtUtc | date-time |
AgentRunDetailDto
| Property | Type | Description |
|---|---|---|
| planJson | null,string | |
| checkpointJson | null,string | |
| lastCheckpointAtUtc | date-time | |
| environmentJson | null,string | |
| requestToolDebrief | boolean | |
| pauseChatSessionId | int64 | |
| interactionMessages | null,array | |
| childRuns | AgentRunDto[] | |
| recentEvents | AgentEventDto[] | |
| escalations | AgentEscalationDto[] | |
| feedback | AgentFeedbackDto[] | |
| notes | AgentRunNoteDto[] | |
| id | int64 | |
| guid | uuid | |
| projectId | int64 | |
| taskId | int64 | |
| taskTitle | null,string | |
| identityId | int64 | |
| identityName | null,string | |
| role | string | |
| toolProfileName | null,string | |
| roleDefinitionId | int64 | |
| modelId | null,string | |
| reasoningEffort | null,string | |
| parentRunId | int64 | |
| sandboxContainerId | null,string | |
| reviewBranch | null,string | |
| reviewBaseSha | null,string | |
| reviewWorktreePath | null,string | |
| spawnDepth | int32 | |
| goal | string | |
| status | AgentRunStatus | |
| failureReason | null,string | |
| startedAtUtc | date-time | |
| completedAtUtc | date-time | |
| progressSummary | null,string | |
| staleStepCount | int32 | |
| maxIterations | int32 | |
| maxTokens | int32 | |
| maxWallClockMs | int32 | |
| iterationsUsed | int32 | |
| tokensUsed | int32 | |
| contextBudgetTokens | int32 | |
| contextUsedTokens | int32 | |
| poolIterationBudget | int32 | |
| poolIterationsUsed | int32 | |
| poolTokenBudget | int32 | |
| poolTokensUsed | int64 | |
| treeDeadlineUtc | date-time | |
| promptTokens | int32 | |
| completionTokens | int32 | |
| costUsd | double | |
| totalTokensWithChildren | int64 | |
| totalCostWithChildren | double | |
| outputPath | null,string | |
| contractDeliverable | null,string | |
| contractDestination | null,string | |
| interactionThreadId | int64 | |
| childRunCount | int32 | |
| eventCount | int32 | |
| createdAtUtc | date-time |
AgentRunDto
| Property | Type | Description |
|---|---|---|
| id | int64 | |
| guid | uuid | |
| projectId | int64 | |
| taskId | int64 | |
| taskTitle | null,string | |
| identityId | int64 | |
| identityName | null,string | |
| role | string | |
| toolProfileName | null,string | |
| roleDefinitionId | int64 | |
| modelId | null,string | |
| reasoningEffort | null,string | |
| parentRunId | int64 | |
| sandboxContainerId | null,string | |
| reviewBranch | null,string | |
| reviewBaseSha | null,string | |
| reviewWorktreePath | null,string | |
| spawnDepth | int32 | |
| goal | string | |
| status | AgentRunStatus | |
| failureReason | null,string | |
| startedAtUtc | date-time | |
| completedAtUtc | date-time | |
| progressSummary | null,string | |
| staleStepCount | int32 | |
| maxIterations | int32 | |
| maxTokens | int32 | |
| maxWallClockMs | int32 | |
| iterationsUsed | int32 | |
| tokensUsed | int32 | |
| contextBudgetTokens | int32 | |
| contextUsedTokens | int32 | |
| poolIterationBudget | int32 | |
| poolIterationsUsed | int32 | |
| poolTokenBudget | int32 | |
| poolTokensUsed | int64 | |
| treeDeadlineUtc | date-time | |
| promptTokens | int32 | |
| completionTokens | int32 | |
| costUsd | double | |
| totalTokensWithChildren | int64 | |
| totalCostWithChildren | double | |
| outputPath | null,string | |
| contractDeliverable | null,string | |
| contractDestination | null,string | |
| interactionThreadId | int64 | |
| childRunCount | int32 | |
| eventCount | int32 | |
| createdAtUtc | date-time |
AgentRunFileContent
| Property | Type | Description |
|---|---|---|
| path | string | |
| sizeBytes | int64 | |
| isBinary | boolean | |
| truncated | boolean | |
| text | null,string | |
| modifiedAtUtc | date-time |
AgentRunNoteDto
| Property | Type | Description |
|---|---|---|
| id | int64 | |
| guid | uuid | |
| agentRunId | int64 | |
| taskId | int64 | |
| type | AgentRunNoteType | |
| content | string | |
| createdAtUtc | date-time |
AgentTaskDto
| Property | Type | Description |
|---|---|---|
| id | int64 | |
| guid | uuid | |
| agentRunId | int64 | |
| projectId | int64 | |
| projectTaskId | int64 | |
| projectTaskTitle | null,string | |
| title | string | |
| description | null,string | |
| status | TaskStatus | |
| sortOrder | int32 | |
| createdAtUtc | date-time |
AgentToolProfileDto
| Property | Type | Description |
|---|---|---|
| id | int64 | |
| role | string | |
| roleDefinitionId | int64 | |
| name | string | |
| description | null,string | |
| safeTools | string[] | |
| optInTools | string[] | |
| blockedTools | string[] | |
| sandboxedTools | string[] | |
| discoveryEnabled | boolean |
ChatSessionDetailDto
| Property | Type | Description |
|---|---|---|
| messages | ChatMessageDto[] | |
| id | int64 | |
| guid | uuid | |
| title | string | |
| clientId | string | |
| modelId | string | |
| messageCount | int32 | |
| totalTokens | int32 | |
| isPinned | boolean | |
| archived | boolean | |
| userId | int64 | |
| identityId | int64 | |
| projectId | int64 | |
| reasoningEffort | null,string | |
| systemPrompt | null,string | |
| enabledTools | null,array | |
| createdAtUtc | date-time | |
| updatedAtUtc | date-time |
CronPreviewDto
| Property | Type | Description |
|---|---|---|
| valid | boolean | |
| error | null,string | |
| warning | null,string | |
| timezoneId | string | |
| nextUtc | date-time[] |
DeliverableCheckDto
| Property | Type | Description |
|---|---|---|
| hasContract | boolean | |
| deliverable | null,string | |
| destination | null,string | |
| kind | string | |
| met | boolean | |
| detail | null,string |
EnableRoutineResult
| Property | Type | Description |
|---|---|---|
| routine | AgentRoutineDto | |
| warning | null,string |
MessageDto
| Property | Type | Description |
|---|---|---|
| id | int64 | |
| guid | uuid | |
| senderId | int64 | |
| senderName | string | |
| content | string | |
| type | MessageType | |
| priority | MessagePriority | |
| threadId | int64 | |
| recipients | RecipientDto[] | |
| replyCount | int32 | |
| createdAtUtc | date-time |
PagedResultOfAgentCouncilDto
| Property | Type | Description |
|---|---|---|
| items* | AgentCouncilDto[] | |
| totalCount | int32 | |
| page | int32 | |
| pageSize | int32 | |
| hasTotal | boolean | |
| moreAvailable | null,boolean | |
| totalPages | int32 | |
| hasNextPage | boolean | |
| hasPreviousPage | boolean |
PagedResultOfAgentEscalationDto
| Property | Type | Description |
|---|---|---|
| items* | AgentEscalationDto[] | |
| totalCount | int32 | |
| page | int32 | |
| pageSize | int32 | |
| hasTotal | boolean | |
| moreAvailable | null,boolean | |
| totalPages | int32 | |
| hasNextPage | boolean | |
| hasPreviousPage | boolean |
PagedResultOfAgentFeedbackDto
| Property | Type | Description |
|---|---|---|
| items* | AgentFeedbackDto[] | |
| totalCount | int32 | |
| page | int32 | |
| pageSize | int32 | |
| hasTotal | boolean | |
| moreAvailable | null,boolean | |
| totalPages | int32 | |
| hasNextPage | boolean | |
| hasPreviousPage | boolean |
PagedResultOfAgentRoleDefinitionDto
| Property | Type | Description |
|---|---|---|
| items* | AgentRoleDefinitionDto[] | |
| totalCount | int32 | |
| page | int32 | |
| pageSize | int32 | |
| hasTotal | boolean | |
| moreAvailable | null,boolean | |
| totalPages | int32 | |
| hasNextPage | boolean | |
| hasPreviousPage | boolean |
PagedResultOfAgentRoutineDto
| Property | Type | Description |
|---|---|---|
| items* | AgentRoutineDto[] | |
| totalCount | int32 | |
| page | int32 | |
| pageSize | int32 | |
| hasTotal | boolean | |
| moreAvailable | null,boolean | |
| totalPages | int32 | |
| hasNextPage | boolean | |
| hasPreviousPage | boolean |
PagedResultOfAgentRoutineRunDto
| Property | Type | Description |
|---|---|---|
| items* | AgentRoutineRunDto[] | |
| totalCount | int32 | |
| page | int32 | |
| pageSize | int32 | |
| hasTotal | boolean | |
| moreAvailable | null,boolean | |
| totalPages | int32 | |
| hasNextPage | boolean | |
| hasPreviousPage | boolean |
PagedResultOfAgentRunDto
| Property | Type | Description |
|---|---|---|
| items* | AgentRunDto[] | |
| totalCount | int32 | |
| page | int32 | |
| pageSize | int32 | |
| hasTotal | boolean | |
| moreAvailable | null,boolean | |
| totalPages | int32 | |
| hasNextPage | boolean | |
| hasPreviousPage | boolean |
PagedResultOfAgentRunNoteDto
| Property | Type | Description |
|---|---|---|
| items* | AgentRunNoteDto[] | |
| totalCount | int32 | |
| page | int32 | |
| pageSize | int32 | |
| hasTotal | boolean | |
| moreAvailable | null,boolean | |
| totalPages | int32 | |
| hasNextPage | boolean | |
| hasPreviousPage | boolean |
PagedResultOfAgentTaskDto
| Property | Type | Description |
|---|---|---|
| items* | AgentTaskDto[] | |
| totalCount | int32 | |
| page | int32 | |
| pageSize | int32 | |
| hasTotal | boolean | |
| moreAvailable | null,boolean | |
| totalPages | int32 | |
| hasNextPage | boolean | |
| hasPreviousPage | boolean |
PagedResultOfAgentToolProfileDto
| Property | Type | Description |
|---|---|---|
| items* | AgentToolProfileDto[] | |
| totalCount | int32 | |
| page | int32 | |
| pageSize | int32 | |
| hasTotal | boolean | |
| moreAvailable | null,boolean | |
| totalPages | int32 | |
| hasNextPage | boolean | |
| hasPreviousPage | boolean |
PagedResultOfMessageDto
| Property | Type | Description |
|---|---|---|
| items* | MessageDto[] | |
| totalCount | int32 | |
| page | int32 | |
| pageSize | int32 | |
| hasTotal | boolean | |
| moreAvailable | null,boolean | |
| totalPages | int32 | |
| hasNextPage | boolean | |
| hasPreviousPage | boolean |